package cn.reghao.devops.mgr.util.codelines;

/**
 * Java 代码匹配类
 *
 * @author reghao
 * @date 2021-08-10 下午4:54
 */
public class JavaMacher implements Matcher {
    @Override
    public boolean match(String line) {
        return line.contains("package")
                || line.contains("import")
                || line.contains("*")
                || line.contains("//")
                || line.isBlank();
    }

    @Override
    public boolean matchSuffix(String suffix) {
        String java = "java";

        return suffix.equals(java);
    }
}
